/** load implement at very first time */
/**
 * global error catch
 */
import './events';
import './loader';
/**
 * @public Jolibox JS SDK Entry
 */
import { getSystemInfoSync, canIUse, login, checkSession } from './api';
import { RuntimeSDK } from './sdks/runtime';
import { LifecycleSDK } from './sdks/lifecycle';
import { StorageSDK } from './sdks/storage';
import { JoliboxAds } from './sdks/ads';
import { KeyboardSDK } from './sdks/keyboard';
import { TaskTrackerSDK } from './sdks/task';
declare global {
    interface Window {
        JoliboxSDK: typeof JoliboxSDK;
        joliboxsdk: {
            runtime: InstanceType<typeof RuntimeSDK>;
            ads: InstanceType<typeof JoliboxAds>;
            lifecycle: InstanceType<typeof LifecycleSDK>;
            storage: InstanceType<typeof StorageSDK>;
            keyboard: InstanceType<typeof KeyboardSDK>;
            task: InstanceType<typeof TaskTrackerSDK>;
        };
    }
}
export declare class JoliboxSDK {
    readonly jssdkVersion = "__JOLIBOX_LOCAL_SDK_VERSION__";
    readonly runtime: {
        loadFinished: () => void;
        notifyLoadProgress: (progress: number) => void;
    };
    readonly ads: JoliboxAds;
    readonly lifecycle: LifecycleSDK;
    readonly storage: StorageSDK;
    readonly keyboard: KeyboardSDK;
    readonly task: TaskTrackerSDK;
    getSystemInfoSync: typeof getSystemInfoSync;
    canIUse: typeof canIUse;
    login: typeof login;
    checkSession: typeof checkSession;
    constructor();
}
